Profinet Slave Module compatibility with cRIO 904x/905x

Updated Aug 21, 2019

Reported In

Hardware

  • cRIO-9040
  • cRIO-9041
  • cRIO-9042
  • cRIO-9043
  • cRIO-9045
  • cRIO-9046
  • cRIO-9047
  • cRIO-9048
  • cRIO-9049
  • cRIO-9052
  • cRIO-9053
  • cRIO-9054
  • cRIO-9055
  • cRIO-9056
  • cRIO-9057
  • cRIO-9058
  • cRIO-PN-S

Issue Details

I'm using a Profinet Slave Module (cRIO-PN-S module) with a cRIO-911x as specified in the installation instructions manual. However, I wanted to update my hardware to the cRIO-904x or cRIO-905x. Is the Profinet Slave Module also compatible with the cRIO-904x/905x?

Solution

Yes, the cRIO-PN-S module is compatible with the new cRIO-904x and cRIO-905x controllers. All you need to do is to make sure you downloaded the latest version of the cRIO Profinet driver from the VI Package Manager. You can search for cRIO PN Device, it'll be the version 4.0.0.2, released by KUNBUS GmbH, as shown in the image below. 
 

 
 

WAS THIS ARTICLE HELPFUL?

Not Helpful